Public Member Functions | Public Attributes | List of all members
libqxp::LinkedTextSettings Struct Reference

`#include <QXPTypes.h>`

## Public Member Functions
| LinkedTextSettings ()

## Public Attributes
unsigned | linkId
unsigned | offsetIntoText
unsigned | linkedIndex
unsigned | nextLinkedIndex
boost::optional< unsigned > | textLength

## Constructor & Destructor Documentation

## ◆ LinkedTextSettings()

libqxp::LinkedTextSettings::LinkedTextSettings | ( |  | ) |
| inline

## Member Data Documentation

## ◆ linkedIndex

unsigned libqxp::LinkedTextSettings::linkedIndex

Referenced by libqxp::TextObject::isLinked().

## ◆ linkId

unsigned libqxp::LinkedTextSettings::linkId

## ◆ nextLinkedIndex

unsigned libqxp::LinkedTextSettings::nextLinkedIndex

Referenced by libqxp::TextObject::isLinked(), and libqxp::QXP4Parser::readLinkedTextSettings().

## ◆ offsetIntoText

unsigned libqxp::LinkedTextSettings::offsetIntoText

Referenced by libqxp::QXPContentCollector::drawText(), and libqxp::QXP4Parser::skipTextObjectEnd().

## ◆ textLength

boost::optional<unsigned> libqxp::LinkedTextSettings::textLength

Referenced by libqxp::QXPContentCollector::drawText().

The documentation for this struct was generated from the following file:

- QXPTypes.h